<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Unit Conversion and Dimensional Analysis Library: units::radiation Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Unit Conversion and Dimensional Analysis Library
   &#160;<span id="projectnumber">2.3.0</span>
   </div>
   <div id="projectbrief">A compile-time c++14 unit conversion library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceunits.html">units</a></li><li class="navelem"><a class="el" href="namespaceunits_1_1radiation.html">radiation</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">units::radiation Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>namespace for unit types and containers representing radiation values  
<a href="namespaceunits_1_1radiation.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:afe5d6be68045c2483b389208cd84a10f"><td class="memItemLeft" align="right" valign="top"><a id="afe5d6be68045c2483b389208cd84a10f"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">becquerel_t</a> &amp;obj)</td></tr>
<tr class="separator:afe5d6be68045c2483b389208cd84a10f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52eb82cf2f29959ccc9b22448a7333a0"><td class="memItemLeft" align="right" valign="top"><a id="a52eb82cf2f29959ccc9b22448a7333a0"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">becquerel_t</a> &amp;obj)</td></tr>
<tr class="separator:a52eb82cf2f29959ccc9b22448a7333a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accf92e972a048b0e78befe842b6516b3"><td class="memItemLeft" align="right" valign="top"><a id="accf92e972a048b0e78befe842b6516b3"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">gray_t</a> &amp;obj)</td></tr>
<tr class="separator:accf92e972a048b0e78befe842b6516b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4b5693629d3eeaa1d716f35863d2488"><td class="memItemLeft" align="right" valign="top"><a id="ae4b5693629d3eeaa1d716f35863d2488"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">gray_t</a> &amp;obj)</td></tr>
<tr class="separator:ae4b5693629d3eeaa1d716f35863d2488"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca4fde39390a5d5f63fbf6155d688014"><td class="memItemLeft" align="right" valign="top"><a id="aca4fde39390a5d5f63fbf6155d688014"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">sievert_t</a> &amp;obj)</td></tr>
<tr class="separator:aca4fde39390a5d5f63fbf6155d688014"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abde44f7fdc629b2f9e120903e4ff72a8"><td class="memItemLeft" align="right" valign="top"><a id="abde44f7fdc629b2f9e120903e4ff72a8"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">sievert_t</a> &amp;obj)</td></tr>
<tr class="separator:abde44f7fdc629b2f9e120903e4ff72a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1486d12bacb4a451fb26882e00180cf4"><td class="memItemLeft" align="right" valign="top"><a id="a1486d12bacb4a451fb26882e00180cf4"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">curie_t</a> &amp;obj)</td></tr>
<tr class="separator:a1486d12bacb4a451fb26882e00180cf4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a3bf4e5cb647235a1e97f1a674368d7"><td class="memItemLeft" align="right" valign="top"><a id="a4a3bf4e5cb647235a1e97f1a674368d7"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">curie_t</a> &amp;obj)</td></tr>
<tr class="separator:a4a3bf4e5cb647235a1e97f1a674368d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed49aa4983f1fcf282ab5b3544e15c53"><td class="memItemLeft" align="right" valign="top"><a id="aed49aa4983f1fcf282ab5b3544e15c53"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">rutherford_t</a> &amp;obj)</td></tr>
<tr class="separator:aed49aa4983f1fcf282ab5b3544e15c53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae11883e41e6b335e827848607168de0e"><td class="memItemLeft" align="right" valign="top"><a id="ae11883e41e6b335e827848607168de0e"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">rutherford_t</a> &amp;obj)</td></tr>
<tr class="separator:ae11883e41e6b335e827848607168de0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2269dc15e1f18769ba989ca0dde7e962"><td class="memItemLeft" align="right" valign="top"><a id="a2269dc15e1f18769ba989ca0dde7e962"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">rad_t</a> &amp;obj)</td></tr>
<tr class="separator:a2269dc15e1f18769ba989ca0dde7e962"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69bc5fb7149e975f50c5415f1f6b5688"><td class="memItemLeft" align="right" valign="top"><a id="a69bc5fb7149e975f50c5415f1f6b5688"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">rad_t</a> &amp;obj)</td></tr>
<tr class="separator:a69bc5fb7149e975f50c5415f1f6b5688"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>namespace for unit types and containers representing radiation values </p>
<p>The SI units for radiation are:</p><ul>
<li>source activity: becquerel</li>
<li>absorbed dose: gray</li>
<li>equivalent dose: sievert <a class="anchor" id="radiationContainers"></a><dl class="section see"><dt>See also</dt><dd>See <a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit.">unit_t</a> for more information on <a class="el" href="structunits_1_1unit.html" title="Type representing an arbitrary unit.">unit</a> type containers. </dd></dl>
</li>
</ul>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Oct 3 2020 11:16:54 for Unit Conversion and Dimensional Analysis Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
